Help us shape the future of Go! Take the 2026 Go Developer Survey

cluster

package
v1.20.4 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 23, 2026 License: Apache-2.0 Imports: 5 Imported by: 0

Documentation

Index

Constants

View Source
const GetClusterOKCode int = 200

GetClusterOKCode is the HTTP code returned for type GetClusterOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetCluster

type GetCluster struct {
	Context *middleware.Context
	Handler GetClusterHandler
}
GetCluster swagger:route GET /cluster cluster getCluster

Get remote clusters connection status

Returns the list of remote clusters and their status.

func NewGetCluster

func NewGetCluster(ctx *middleware.Context, handler GetClusterHandler) *GetCluster

NewGetCluster creates a new http.Handler for the get cluster operation

func (*GetCluster) ServeHTTP

func (o *GetCluster) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetClusterHandler

type GetClusterHandler interface {
	Handle(GetClusterParams) middleware.Responder
}

GetClusterHandler interface for that can handle valid get cluster params

type GetClusterHandlerFunc

type GetClusterHandlerFunc func(GetClusterParams) middleware.Responder

GetClusterHandlerFunc turns a function with the right signature into a get cluster handler

func (GetClusterHandlerFunc) Handle

Handle executing the request and returning a response

type GetClusterOK

type GetClusterOK struct {

	/*
	  In: Body
	*/
	Payload []*common.RemoteCluster `json:"body,omitempty"`
}

GetClusterOK Success

swagger:response getClusterOK

func NewGetClusterOK

func NewGetClusterOK() *GetClusterOK

NewGetClusterOK creates GetClusterOK with default headers values

func (*GetClusterOK) SetPayload

func (o *GetClusterOK) SetPayload(payload []*common.RemoteCluster)

SetPayload sets the payload to the get cluster o k response

func (*GetClusterOK) WithPayload

func (o *GetClusterOK) WithPayload(payload []*common.RemoteCluster) *GetClusterOK

WithPayload adds the payload to the get cluster o k response

func (*GetClusterOK) WriteResponse

func (o *GetClusterOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetClusterParams

type GetClusterParams struct {
	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetClusterParams contains all the bound params for the get cluster operation typically these are obtained from a http.Request

swagger:parameters GetCluster

func NewGetClusterParams

func NewGetClusterParams() GetClusterParams

NewGetClusterParams creates a new GetClusterParams object

There are no default values defined in the spec.

func (*GetClusterParams) BindRequest

func (o *GetClusterParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetClusterParams() beforehand.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL